Bug 391510 - KMail crashes at printing emails
Summary: KMail crashes at printing emails
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.5.2
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 391240 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-03-07 10:24 UTC by csbugs
Modified: 2021-01-16 04:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description csbugs 2018-03-07 10:24:19 UTC
Application: kmail (5.5.2)

Qt Version: 5.6.2
Frameworks Version: 5.32.0
Operating System: Linux 4.4.114-42-default x86_64
Distribution: "openSUSE Leap 42.3"

-- Information about the crash:
- What I was doing when the application crashed: Trying to print an email. When pressing ctrl+p, the application crashes.

- Unusual behavior I noticed: on the command line I get a lot of (> 1000) error messages: [warn] epoll_wait: Ungültiger Dateideskriptor (the latter probably being "invalid file decriptor" or similar)

The crash can be reproduced sometimes.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f07533c3940 (LWP 8363))]

Thread 27 (Thread 0x7f061946d700 (LWP 8435)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c95d9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c9d9d in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6ca5c0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7f0619c6e700 (LWP 8434)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c95d9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c9d9d in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6ca5c0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7f069b37e700 (LWP 8433)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0738ee593b in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f0738ee5969 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f06a90d0700 (LWP 8420)):
#0  0x00007f0745aa8899 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f0745a66969 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0745a67230 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f0745a6742c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f0750e111ab in QEventDispatcherGlib::processEvents (this=0x7f06a0001940, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007f0750dbebfb in QEventLoop::exec (this=this@entry=0x7f06a90cfc90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#6  0x00007f0750bf9f5a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007f0750bfea29 in QThreadPrivate::start (arg=0x5453700) at thread/qthread_unix.cpp:365
#8  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f06d9ffb700 (LWP 8396)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d525160 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d512c0b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d512e85 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d50f777 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f073ecb9a4a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f073ecb9d61 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073ecb9e52 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f06da7fc700 (LWP 8395)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c95d9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c9d9d in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6ca5c0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f06daffd700 (LWP 8394)):
#0  0x00007f075050133d in read () from /lib64/libc.so.6
#1  0x00007f072f1bf931 in pa_read () from /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#2  0x00007f0735d173be in pa_mainloop_prepare () from /usr/lib64/libpulse.so.0
#3  0x00007f0735d17dd2 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f0735d17e90 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f0735d26006 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f072f1ee408 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#7  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f06dbfff700 (LWP 8393)):
#0  0x00007f075051a38b in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f075051bfe6 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f0734763fbf in ?? () from /usr/lib64/libevent-2.0.so.5
#3  0x00007f0734764197 in event_warn () from /usr/lib64/libevent-2.0.so.5
#4  0x00007f0734768448 in ?? () from /usr/lib64/libevent-2.0.so.5
#5  0x00007f0734754457 in event_base_loop () from /usr/lib64/libevent-2.0.so.5
#6  0x00007f073d67fc9e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#12 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f06e0ff9700 (LWP 8392)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c010f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c01e4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6a2a7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f06e17fa700 (LWP 8391)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c010f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c01e4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6a2a7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f06e1ffb700 (LWP 8390)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d0c5dc9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6ca5c0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f06e27fc700 (LWP 8389)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c010f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c01e4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6a2a7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f06e2ffd700 (LWP 8388)):
#0  0x00007f075050139d in write () from /lib64/libc.so.6
#1  0x00007f0750496780 in _IO_new_file_write () from /lib64/libc.so.6
#2  0x00007f0750495da3 in new_do_write () from /lib64/libc.so.6
#3  0x00007f0750496d86 in __GI__IO_file_xsputn () from /lib64/libc.so.6
#4  0x00007f075046c74b in buffered_vfprintf () from /lib64/libc.so.6
#5  0x00007f075046997e in vfprintf () from /lib64/libc.so.6
#6  0x00007f075051c043 in __fprintf_chk () from /lib64/libc.so.6
#7  0x00007f0734763fbf in ?? () from /usr/lib64/libevent-2.0.so.5
#8  0x00007f0734764197 in event_warn () from /usr/lib64/libevent-2.0.so.5
#9  0x00007f0734768448 in ?? () from /usr/lib64/libevent-2.0.so.5
#10 0x00007f0734754457 in event_base_loop () from /usr/lib64/libevent-2.0.so.5
#11 0x00007f073d67fc9e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f073cd580e5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f073cd581fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#17 0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#18 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#19 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f06e37fe700 (LWP 8387)):
#0  0x00007f075051a38b in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f075051bfe6 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f0734763fbf in ?? () from /usr/lib64/libevent-2.0.so.5
#3  0x00007f0734764197 in event_warn () from /usr/lib64/libevent-2.0.so.5
#4  0x00007f0734768448 in ?? () from /usr/lib64/libevent-2.0.so.5
#5  0x00007f0734754457 in event_base_loop () from /usr/lib64/libevent-2.0.so.5
#6  0x00007f073d67fd31 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f073cd58065 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f073cd5825b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f06db7fe700 (LWP 8386)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c010f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c01e4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6a2a7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f073cd57fe5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073cd5824b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f06e3fff700 (LWP 8385)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c010f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c01e4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6a2a7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f073cd57f65 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073cd5823b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f0700f2c700 (LWP 8384)):
#0  0x00007f075051a38b in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f075051bfe6 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f0734763fbf in ?? () from /usr/lib64/libevent-2.0.so.5
#3  0x00007f0734764197 in event_warn () from /usr/lib64/libevent-2.0.so.5
#4  0x00007f0734768448 in ?? () from /usr/lib64/libevent-2.0.so.5
#5  0x00007f0734754457 in event_base_loop () from /usr/lib64/libevent-2.0.so.5
#6  0x00007f073d67fd31 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f073cd57ee5 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f073cd5822b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f070172d700 (LWP 8383)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c010f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c01e4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6a2a7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f073cd57e65 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073cd5821b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f0701f2e700 (LWP 8382)):
#0  0x00007f07462864a8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6bf9b2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6cd3f6 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6cd5e6 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f070272f700 (LWP 8381)):
#0  0x00007f07462864a8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6bf9b2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6cd3f6 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6cd5e6 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f0702f30700 (LWP 8380)):
#0  0x00007f07462860ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f073d6c010f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f073d6c01e4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f073d6a2a7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f0703731700 (LWP 8379)):
#0  0x00007f075051a38b in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f075051bfe6 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f0734763fbf in ?? () from /usr/lib64/libevent-2.0.so.5
#3  0x00007f0734764197 in event_warn () from /usr/lib64/libevent-2.0.so.5
#4  0x00007f0734768448 in ?? () from /usr/lib64/libevent-2.0.so.5
#5  0x00007f0734754457 in event_base_loop () from /usr/lib64/libevent-2.0.so.5
#6  0x00007f073d67fc9e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f073d6b3062 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f073d69eb05 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f073d6ca940 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f073d6c731e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#12 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f0716dc0700 (LWP 8369)):
#0  0x00007f075050133d in read () from /lib64/libc.so.6
#1  0x00007f0745aa7750 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0745a66e49 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f0745a672a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f0745a6742c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f0750e111ab in QEventDispatcherGlib::processEvents (this=0x7f070c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#6  0x00007f0750dbebfb in QEventLoop::exec (this=this@entry=0x7f0716dbfc90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#7  0x00007f0750bf9f5a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#8  0x00007f0750bfea29 in QThreadPrivate::start (arg=0x1c07420) at thread/qthread_unix.cpp:365
#9  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f07175c1700 (LWP 8368)):
#0  0x00007f075050133d in read () from /lib64/libc.so.6
#1  0x00007f0745aa7750 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0745a66e49 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f0745a672a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f0745a6742c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f0750e111ab in QEventDispatcherGlib::processEvents (this=0x7f07080008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#6  0x00007f0750dbebfb in QEventLoop::exec (this=this@entry=0x7f07175c0c90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#7  0x00007f0750bf9f5a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#8  0x00007f0750bfea29 in QThreadPrivate::start (arg=0x1bd4bf0) at thread/qthread_unix.cpp:365
#9  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f0717fff700 (LWP 8367)):
#0  0x00007f0745aa8899 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f0745a672fa in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0745a6742c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f0750e111ab in QEventDispatcherGlib::processEvents (this=0x7f07100008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007f0750dbebfb in QEventLoop::exec (this=this@entry=0x7f0717ffec90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#5  0x00007f0750bf9f5a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007f0750bfea29 in QThreadPrivate::start (arg=0x1c07c20) at thread/qthread_unix.cpp:365
#7  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f071d87c700 (LWP 8366)):
#0  0x00007f075050530d in poll () from /lib64/libc.so.6
#1  0x00007f0745a67314 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0745a6742c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f0750e111ab in QEventDispatcherGlib::processEvents (this=0x7f07180008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007f0750dbebfb in QEventLoop::exec (this=this@entry=0x7f071d87bc60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#5  0x00007f0750bf9f5a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007f074f4a1295 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f0750bfea29 in QThreadPrivate::start (arg=0x7f074f70ace0) at thread/qthread_unix.cpp:365
#8  0x00007f0746281724 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f075050de8d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f07533c3940 (LWP 8363)):
[KCrash Handler]
#6  QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::data (this=0x730072006f0070) at ../../src/corelib/tools/qscopedpointer.h:135
#7  qGetPtrHelper<QScopedPointer<QObjectData> > (p=...) at ../../src/corelib/global/qglobal.h:1014
#8  QAction::d_func (this=0x730072006f0068) at kernel/qaction.h:56
#9  QAction::setChecked (this=0x730072006f0068, b=false) at kernel/qaction.cpp:973
#10 0x00007f074d323d35 in MessageViewer::ViewerPrivate::readConfig (this=this@entry=0x4ad7210) at /usr/src/debug/messagelib-17.04.2/messageviewer/src/viewer/viewer_p.cpp:1146
#11 0x00007f074d324337 in MessageViewer::ViewerPrivate::ViewerPrivate (this=0x4ad7210, aParent=<optimized out>, mainWindow=<optimized out>, actionCollection=<optimized out>) at /usr/src/debug/messagelib-17.04.2/messageviewer/src/viewer/viewer_p.cpp:265
#12 0x00007f074d30f520 in MessageViewer::Viewer::Viewer (this=0x22b0d00, aParent=<optimized out>, mainWindow=0x1cd94f0, actionCollection=0x0) at /usr/src/debug/messagelib-17.04.2/messageviewer/src/viewer/viewer.cpp:54
#13 0x00007f0752c22488 in KMReaderWin::KMReaderWin (this=0x58636c0, aParent=<optimized out>, mainWindow=0x1cd94f0, actionCollection=<optimized out>) at /usr/src/debug/kmail-17.04.2/src/kmreaderwin.cpp:113
#14 0x00007f0752c3f027 in KMPrintCommand::execute (this=0x6930060) at /usr/src/debug/kmail-17.04.2/src/kmcommands.cpp:1134
#15 0x00007f0752c3d961 in KMCommand::slotPostTransfer (this=0x6930060, result=KMCommand::OK) at /usr/src/debug/kmail-17.04.2/src/kmcommands.cpp:281
#16 0x00007f0750deade3 in QtPrivate::QSlotObjectBase::call (a=0x7fffbdebe000, r=0x6930060, this=0x599cc10) at ../../src/corelib/kernel/qobject_impl.h:124
#17 QMetaObject::activate (sender=sender@entry=0x6930060, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffbdebe000) at kernel/qobject.cpp:3715
#18 0x00007f0750deb3d7 in QMetaObject::activate (sender=sender@entry=0x6930060, m=m@entry=0x7f07530193a0 <KMCommand::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffbdebe000) at kernel/qobject.cpp:3595
#19 0x00007f0752d5df9e in KMCommand::messagesTransfered (this=this@entry=0x6930060, _t1=_t1@entry=KMCommand::OK) at /usr/src/debug/kmail-17.04.2/build/src/moc_kmcommands.cpp:188
#20 0x00007f0752c3e438 in KMCommand::slotJobFinished (this=0x6930060) at /usr/src/debug/kmail-17.04.2/src/kmcommands.cpp:390
#21 0x00007f0750deade3 in QtPrivate::QSlotObjectBase::call (a=0x7fffbdebe1c0, r=0x6930060, this=0x4e30990) at ../../src/corelib/kernel/qobject_impl.h:124
#22 QMetaObject::activate (sender=0x20d3f70, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffbdebe1c0) at kernel/qobject.cpp:3715
#23 0x00007f075220ecf2 in KJob::result(KJob*, KJob::QPrivateSignal) () from /usr/lib64/libKF5CoreAddons.so.5
#24 0x00007f075220fa1f in KJob::finishJob(bool) () from /usr/lib64/libKF5CoreAddons.so.5
#25 0x00007f074a5392f9 in ?? () from /usr/lib64/libKF5AkonadiCore.so.5
#26 0x00007f0750debe26 in QObject::event (this=0x20d3f70, e=<optimized out>) at kernel/qobject.cpp:1256
#27 0x00007f0751ac128c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x20d3f70, e=0x49a7a30) at kernel/qapplication.cpp:3804
#28 0x00007f0751ac58ea in QApplication::notify (this=0x7fffbdebeee0, receiver=0x20d3f70, e=0x49a7a30) at kernel/qapplication.cpp:3561
#29 0x00007f0750dc0be5 in QCoreApplication::notifyInternal2 (receiver=0x20d3f70, event=event@entry=0x49a7a30) at kernel/qcoreapplication.cpp:1015
#30 0x00007f0750dc29ca in QCoreApplication::sendEvent (event=0x49a7a30, receiver=<optimized out>) at kernel/qcoreapplication.h:225
#31 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x17f7330) at kernel/qcoreapplication.cpp:1650
#32 0x00007f0750dc2f78 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1508
#33 0x00007f0750e11b03 in postEventSourceDispatch (s=0x18467d0) at kernel/qeventdispatcher_glib.cpp:270
#34 0x00007f0745a67134 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#35 0x00007f0745a67388 in ?? () from /usr/lib64/libglib-2.0.so.0
#36 0x00007f0745a6742c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#37 0x00007f0750e1118c in QEventDispatcherGlib::processEvents (this=0x1841f10, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#38 0x00007f0750dbebfb in QEventLoop::exec (this=this@entry=0x7fffbdebe810, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#39 0x00007f0750dc6ae6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1285
#40 0x00000000004039cd in main (argc=1, argv=0x7fffbdebf118) at /usr/src/debug/kmail-17.04.2/src/main.cpp:161

The reporter indicates this bug may be a duplicate of or related to bug 391240.

Reported using DrKonqi
Comment 1 Christoph Feck 2018-03-30 00:03:25 UTC
*** Bug 391240 has been marked as a duplicate of this bug. ***
Comment 2 Justin Zobel 2020-12-17 05:35:34 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 3 Bug Janitor Service 2021-01-01 04:38:12 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 4 Bug Janitor Service 2021-01-16 04:37:04 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!